<?php

namespace Planaday\Entities\Booking\Form\Company\Invoice;

use Planaday\Config\OptionGroupEnum;
use Planaday\Entities\Booking\Form\Company\CompanySettingsEnum;

enum InvoiceSettingsEnum: string implements OptionGroupEnum {
	case AskAddress = "askAddress";
	case AddressRequired = "addressRequired";
	case AskEmail = "askEmail";
	case EmailRequired = "emailRequired";
	case ShowSameAdressOption = "showSameAdressOption";

	public static function getClassName(): string {
		return InvoiceSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return CompanySettingsEnum::Invoice;
	}
}
